package kro.rubisco.auth;

import java.util.ArrayList;
import java.util.Arrays;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.security.core.userdetails.User;

import kro.rubisco.dto.MemberDTO;
import lombok.Getter;


public class CustomUser extends User {
    
    @Getter
    private MemberDTO member;
    
    public CustomUser(MemberDTO member) {
        super(
            member.getEmail(), 
            member.getPassword(), 
            new ArrayList<GrantedAuthority>(
                Arrays.asList(
                    new SimpleGrantedAuthority(member.getGroup().getGroupName())
                )
            )
        );
        this.member = member;
    }
}
